[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CNChar

Handler for a key pressed notification; CNChar is sent by the widget before it has handled the key press itself.

## Declaration

Source position: controls.pp line 2229

`protected procedure TWinControl.CNChar(`
`var Message: TLMKeyUp`
`); message;`

## Arguments

`Message` |  | Message handled in the method.